package gov.va.med.esr.jms.vadir.outboundResponse.model.militaryHistory;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class ServicePeriod implements Serializable {
	private static final long serialVersionUID = -2598182324459473021L;

	private Date startDate;
	private Date endDate;
	private String branchOfService;
	private String personnelCategory;
	private String characterOfService;
	private List<Activation> activations;
	private List<MilitaryPay> militaryPayments;
	private List<Deployment> deployments;

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public String getBranchOfService() {
		return branchOfService;
	}

	public void setBranchOfService(String branchOfService) {
		this.branchOfService = branchOfService;
	}

	public String getPersonnelCategory() {
		return personnelCategory;
	}

	public void setPersonnelCategory(String personnelCategory) {
		this.personnelCategory = personnelCategory;
	}

	public String getCharacterOfService() {
		return characterOfService;
	}

	public void setCharacterOfService(String characterOfService) {
		this.characterOfService = characterOfService;
	}

	public List<Activation> getActivations() {
		return activations;
	}

	public void setActivations(List<Activation> activations) {
		this.activations = activations;
	}

	public List<MilitaryPay> getMilitaryPayments() {
		return militaryPayments;
	}

	public void setMilitaryPayments(List<MilitaryPay> militaryPayments) {
		this.militaryPayments = militaryPayments;
	}

	public List<Deployment> getDeployments() {
		return deployments;
	}

	public void setDeployments(List<Deployment> deployments) {
		this.deployments = deployments;
	}

}
